Package org.eclipse.emf.compare

## Interface CompareFactory

All Superinterfaces:
  `EFactory`, `EModelElement`, `EObject`, `Notifier`

All Known Implementing Classes:
  `CompareFactoryImpl`

    public interface CompareFactory
    extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ComparePackage`
Generated:

### Field Summary

Fields
`static String` `copyright`
`static CompareFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`AttributeChange` `createAttributeChange()` Returns a new object of class 'Attribute Change'.
`Comparison` `createComparison()` Returns a new object of class 'Comparison'.
`Conflict` `createConflict()` Returns a new object of class 'Conflict'.
`Diff` `createDiff()` Returns a new object of class 'Diff'.
`Equivalence` `createEquivalence()` Returns a new object of class 'Equivalence'.
`FeatureMapChange` `createFeatureMapChange()` Returns a new object of class 'Feature Map Change'.
`Match` `createMatch()` Returns a new object of class 'Match'.
`MatchResource` `createMatchResource()` Returns a new object of class 'Match Resource'.
`ReferenceChange` `createReferenceChange()` Returns a new object of class 'Reference Change'.
`ResourceAttachmentChange` `createResourceAttachmentChange()` Returns a new object of class 'Resource Attachment Change'.
`ResourceLocationChange` `createResourceLocationChange()` Returns a new object of class 'Resource Location Change'.
`ComparePackage` `getComparePackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    static final String copyright

See Also:
  Constant Field Values
Generated:

#### eINSTANCE

    static final CompareFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createComparison

    Comparison createComparison()

Returns a new object of class 'Comparison'.

Returns:
  a new object of class 'Comparison'.
Generated:

#### createMatchResource

    MatchResource createMatchResource()

Returns a new object of class 'Match Resource'.

Returns:
  a new object of class 'Match Resource'.
Generated:

#### createMatch

    Match createMatch()

Returns a new object of class 'Match'.

Returns:
  a new object of class 'Match'.
Generated:

#### createDiff

    Diff createDiff()

Returns a new object of class 'Diff'.

Returns:
  a new object of class 'Diff'.
Generated:

#### createResourceAttachmentChange

    ResourceAttachmentChange createResourceAttachmentChange()

Returns a new object of class 'Resource Attachment Change'.

Returns:
  a new object of class 'Resource Attachment Change'.
Generated:

#### createResourceLocationChange

    ResourceLocationChange createResourceLocationChange()

Returns a new object of class 'Resource Location Change'.

Returns:
  a new object of class 'Resource Location Change'.
Since:
  3.2
Generated:

#### createReferenceChange

    ReferenceChange createReferenceChange()

Returns a new object of class 'Reference Change'.

Returns:
  a new object of class 'Reference Change'.
Generated:

#### createAttributeChange

    AttributeChange createAttributeChange()

Returns a new object of class 'Attribute Change'.

Returns:
  a new object of class 'Attribute Change'.
Generated:

#### createFeatureMapChange

    FeatureMapChange createFeatureMapChange()

Returns a new object of class 'Feature Map Change'.

Returns:
  a new object of class 'Feature Map Change'.
Since:
  3.2
Generated:

#### createConflict

    Conflict createConflict()

Returns a new object of class 'Conflict'.

Returns:
  a new object of class 'Conflict'.
Generated:

#### createEquivalence

    Equivalence createEquivalence()

Returns a new object of class 'Equivalence'.

Returns:
  a new object of class 'Equivalence'.
Generated:

#### getComparePackage

    ComparePackage getComparePackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: